
QGIS Application - Bug report #7838

core dump on opening project

2013-05-16 12:51 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16720

Description

On opening a project that was working fine a couple of weeks ago, QGIS crashes. The (sanitised) project file is attached. Running QGIS

1.9.0-Master nightly builds.

gavin@afrispatial:~$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "&SEXTANTE toolbox" under id 273 

Qwt5 imported

matplotlib imported

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Add a Postgis Raster Layer" under id

327 

**** VERSION 10900

(qgis.bin:552): Gdk-CRITICAL **: IA__gdk_error_trap_pop: assertion `gdk_error_traps != NULL' failed

Fatal: QGIS died on signal 11

Stacktrace (run through c++filt):

/usr/bin/qgis.bin(Z15myMessageOutput9QtMsgTypePKc+0xae)[0x4ee4de]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x30)[0x7f8b50f5d3d0]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x71838)[0x7f8b50f5d838]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7f8b50f5d9c4]

/lib/x86_64-linux-gnu/libc.so.6(+0x364a0)[0x7f8b4e46a4a0]

/usr/lib/qgis/plugins/libwmsprovider.so(QgsWmsProvider::draw(QgsRectangle const&, int, int)+0xe6e)[0x7f8b1eefcffe]

/usr/lib/qgis/plugins/libwmsprovider.so(QgsWmsProvider::readBlock(int, QgsRectangle const&, int, int,

void*)+0x32)[0x7f8b1eed9f72]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterDataProvider::block(int, QgsRectangle const&, int, int)+0x951)[0x7f8b521655f1]

/usr/lib/libqgis_core.so.1.9.0(QgsSingleBandColorDataRenderer::block(int, QgsRectangle const&, int,

int)+0x5c)[0x7f8b52197b4c]

/usr/lib/libqgis_core.so.1.9.0(QgsBrightnessContrastFilter::block(int, QgsRectangle const&, int, int)+0x60)[0x7f8b5219ac50]

/usr/lib/libqgis_core.so.1.9.0(QgsHueSaturationFilter::block(int, QgsRectangle const&, int, int)+0x62)[0x7f8b5219ba42]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterResampleFilter::block(int, QgsRectangle const&, int, int)+0x1cc)[0x7f8b5218d9ac]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterProjector::block(int, QgsRectangle const&, int, int)+0x55)[0x7f8b5216b485]

/usr/lib/libqgis_core.so.1.9.0(_ZN17QgsRasterIterator18readNextRasterPartEiRiS0_PP14QgsRasterBlockS0_S0+0x1d1)[0x7f8b52172d61]
/usr/lib/libqgis_core.so.1.9.0(ZN15QgsRasterDrawer4drawEP8QPainterP17QgsRasterViewPortPK13QgsMapToPixel+0x9d)[0x7f8b5218581d]
/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel const*)+0x96)[0x7f8b52173a66]
/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::previewAsPixmap(QSize, QColor)+0x279)[0x7f8b52177ae9]
/usr/bin/qgis.bin(QgsLegendLayer::getOriginalPixmap()+0x1ca)[0x74ea8a]
/usr/bin/qgis.bin(QgsLegendLayer::updateIcon()+0x1b)[0x74ec0b]
/usr/bin/qgis.bin(QgsLegendLayer::QgsLegendLayer(QgsMapLayer*)+0x1c4)[0x74f404]
/usr/bin/qgis.bin(QgsLegend::addLayers(QList<QgsMapLayer*>)+0x3eb)[0x749a7b]
/usr/bin/qgis.bin[0x7a336c]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x2bf)[0x7f8b51079f5f]
/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::legendLayersAdded(QList<QgsMapLayer*>)+0x25)[0x7f8b521a6005]
/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::addMapLayers(QList<QgsMapLayer*>, bool)+0x2ee)[0x7f8b52024bae]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::addLayer(QDomElement const&, QList<QDomNode>&, QList<QPair<QgsVectorLayer*, QDomElement> >&)+0x377)[0x7f8b52074f27]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::_getMapLayers(QDomDocument const&)+0x572)[0x7f8b52076f82]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::read()+0x9d6)[0x7f8b52077e46]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::read(QFileInfo const&)+0x3b)[0x7f8b520788cb]
/usr/bin/qgis.bin(QgisApp::addProject(QString)+0x117)[0x519307]
/usr/bin/qgis.bin(QgisApp::fileOpen()+0x240)[0x51bc80]
/usr/bin/qgis.bin[0x797885]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x2bf)[0x7f8b51079f5f]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::triggered(bool)+0x32)[0x7f8b50405a32]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::activate(QAction::ActionEvent)+0x70)[0x7f8b50405c20]
/usr/lib/

52172d61]

/usr/lib/libqgis_core.so.1.9.0(ZN15QgsRasterDrawer4drawEP8QPainterP17QgsRasterViewPortPK13QgsMapToPixel+0x9d)[0x7f8b5218581d]
/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel const*)+0x96)[0x7f8b52173a66]
/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::previewAsPixmap(QSize, QColor)+0x279)[0x7f8b52177ae9]
/usr/bin/qgis.bin(QgsLegendLayer::getOriginalPixmap()+0x1ca)[0x74ea8a]
/usr/bin/qgis.bin(QgsLegendLayer::updateIcon()+0x1b)[0x74ec0b]
/usr/bin/qgis.bin(QgsLegendLayer::QgsLegendLayer(QgsMapLayer*)+0x1c4)[0x74f404]
/usr/bin/qgis.bin(QgsLegend::addLayers(QList<QgsMapLayer*>)+0x3eb)[0x749a7b]
/usr/bin/qgis.bin[0x7a336c]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x2bf)[0x7f8b51079f5f]
/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::legendLayersAdded(QList<QgsMapLayer*>)+0x25)[0x7f8b521a6005]
/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::addMapLayers(QList<QgsMapLayer*>, bool)+0x2ee)[0x7f8b52024bae]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::addLayer(QDomElement const&, QList<QDomNode>&, QList<QPair<QgsVectorLayer*, QDomElement> >&)+0x377)[0x7f8b52074f27]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::_getMapLayers(QDomDocument const&)+0x572)[0x7f8b52076f82]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::read()+0x9d6)[0x7f8b52077e46]
/usr/lib/libqgis_core.so.1.9.0(QgsProject::read(QFileInfo const&)+0x3b)[0x7f8b520788cb]
/usr/bin/qgis.bin(QgisApp::addProject(QString)+0x117)[0x519307]
/usr/bin/qgis.bin(QgisApp::fileOpen()+0x240)[0x51bc80]
/usr/bin/qgis.bin[0x797885]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x2bf)[0x7f8b51079f5f]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::triggered(bool)+0x32)[0x7f8b50405a32]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::activate(QAction::ActionEvent)+0x70)[0x7f8b50405c20]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObject::event(QEvent*)+0x26e)[0x7f8b5107943e]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::event(QEvent*)+0x11)[0x7f8b50405cf1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, 

f8b5218581d]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel

const*)+0x96)[0x7f8b52173a66]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::previewAsPixmap(QSize, QColor)+0x279)[0x7f8b52177ae9]

/usr/bin/qgis.bin(QgsLegendLayer::getOriginalPixmap()+0x1ca)[0x74ea8a]

/usr/bin/qgis.bin(QgsLegendLayer::updateIcon()+0x1b)[0x74ec0b]
/usr/bin/qgis.bin(QgsLegendLayer::QgsLegendLayer(QgsMapLayer*)+0x1c4)[0x74f404]

/usr/bin/qgis.bin(QgsLegend::addLayers(QList<QgsMapLayer*>)+0x3eb)[0x749a7b]

/usr/bin/qgis.bin[0x7a336c]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2bf)[0x7f8b51079f5f]

/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::legendLayersAdded(QList<QgsMapLayer*>)+0x25)[0x7f8b521a6005]

/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::addMapLayers(QList<QgsMapLayer*>, bool)+0x2ee)[0x7f8b52024bae]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::addLayer(QDomElement const&, QList<QDomNode>&,

QList<QPair<QgsVectorLayer*, QDomElement> >&)+0x377)[0x7f8b52074f27]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::_getMapLayers(QDomDocument const&)+0x572)[0x7f8b52076f82]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::read()+0x9d6)[0x7f8b52077e46]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::read(QFileInfo const&)+0x3b)[0x7f8b520788cb]

/usr/bin/qgis.bin(QgisApp::addProject(QString)+0x117)[0x519307]

/usr/bin/qgis.bin(QgisApp::fileOpen()+0x240)[0x51bc80]

/usr/bin/qgis.bin[0x797885]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2bf)[0x7f8b51079f5f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::triggered(bool)+0x32)[0x7f8b50405a32]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::activate(QAction::ActionEvent)+0x70)[0x7f8b50405c20]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObject::event(QEvent*)+0x26e)[0x7f8b5107943e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::event(QEvent*)+0x11)[0x7f8b50405cf1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0xac)[0x7f8b5040be9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x13a)[0x7f8b5041030a]

/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x73)[0x7f8b51f90b93]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7f8b5106456e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendPostedEvents(QObject*, int,

QThreadData*)+0x421)[0x7f8b510683f1]

/usr/lib/x86_64

/lib/x86_64-linux-gnu/libglib

/lib/x86_64-linux-gnu/libglib-2.0

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEve

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x270c1e)[0x7f8b504b0c1e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFl

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x88)[0x7f8b51068708]

/usr/bin/qgis.

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7f8b4e45576d]

Aborted (core dumped)

History

#1 - 2014-06-21 05:33 AM - Jürgen Fischer

- Category set to Web Services clients/WMS

#2 - 2014-06-21 06:27 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

it seems ok on latest master, please reopen if necessary.
Files

1mapservices.qgs 9.12 KB 2013-05-15 Gavin Fleming
